using Darkmatter.Core.Contracts.Services.Scenes;
using Darkmatter.Libs.Installers;
using UnityEngine;
using VContainer;

namespace Darkmatter.Services.Scenes
{
    public class SceneServiceModule : MonoBehaviour, IModule
    {
        public void Register(IContainerBuilder builder)
        {
            builder.Register<ISceneService, SceneService>(Lifetime.Singleton);
        }
    }
}